From: Carlos Pita <[email-masked]>
Date: Thu, 14 Aug 2014 20:56:56 -0300

Besides that, I see no point in the keep-at-top behaviour of
imenu--split-menu, which pushes every submenu to the top of its parent
menu. The user is looking for a name in a list sorted according to
some required criterion. Splitting this list in two sorted lists in
virtue of a totally different criterion will only bring confusion.
It's ok to make this the default behaviour, in case the user isn't
interested in any particular ordering (that is, imenu-sort-function is
nil). But if a particular ordering is required, then it should be
honoured. Or, at least, an option should be provided to turn off
keep-at-top.

If you agree I will gladly provide a patch.

Regards
--
Carlos